%global __python %{__python3}
%global python_pkgversion %{python3_pkgversion}

%global min_imgcreate_ver 28.3-3

%global min_imgcreate_evr 1:%{min_imgcreate_ver}

Name: appliance-tools
Summary: Tools for building Appliances
Version: 011.2
Release:    1%{?dist}
License: GPLv2
URL: https://pagure.io/appliance-tools

Source0: https://releases.pagure.org/%{name}/%{name}-%{version}.tar.bz2

Requires: python%{python_pkgversion}-imgcreate %{?min_imgcrate_evr:>= %{min_imgcreate_evr}}
Requires: python%{python_pkgversion}-progress
Requires: python%{python_pkgversion}-future
Requires: python%{python_pkgversion}-setuptools
Requires: curl rsync kpartx
Requires: zlib
Requires: qemu-img
Requires: xz
Requires: btrfs-progs
Requires: xfsprogs
Requires: sssd-client
BuildRequires: python%{python_pkgversion}-devel
BuildRequires: python%{python_pkgversion}-setuptools
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/bin/which
BuildRequires: make
BuildArch: noarch


%description
Tools for generating appliance images on OpenCloudOS based systems, including
derived distributions such as RHEL, CentOS, and others.

%prep
%autosetup -p1
mv config/fedora-aos.ks config/opencloudos-aos.ks

%build

%install
%make_install PYTHON=%{__python}

rm -rf %{buildroot}%{_datadir}/doc/%{name}

%files
%doc README
%doc config/opencloudos-aos.ks
%license COPYING
%{_mandir}/man*/*
%{_bindir}/appliance-creator
%{_bindir}/ec2-converter
%{python3_sitelib}/appcreate/
%{python3_sitelib}/ec2convert/

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 011.2-1
- initial build
